import { jsx } from "react/jsx-runtime";
import { TokenSHIB as TokenSHIB$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSHIB = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SHIB", "data-name": "TokenSHIB", ...props, children: /* @__PURE__ */ jsx(TokenSHIB$1, { variant }) });
  }
);
TokenSHIB.displayName = "TokenSHIB";
Object.assign(TokenSHIB, { isGdsIcon: true });
export {
  TokenSHIB
};
